com.eloview.homesdk.consts

## Class Consts

- java.lang.Object
- - com.eloview.homesdk.consts.Consts

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    AccountManager

      public abstract class Consts
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_SET_EST_REQUEST`
    `static java.lang.String` | `ELO_FOLDER`
    `static java.lang.String` | `ELO_NETWORK_CONF_CSV_FILE`
    `static java.lang.String` | `ELO_WIFI_CONFIG_FOLDER`
    `static int` | `GENERIC_ERROR` General SDK error.
    `static java.lang.String` | `isFROM`
    `static java.lang.String` | `OAUTH_PATH_TOKEN`
    `static java.lang.String` | `OAUTH_PATH_VERIFY`
    `static java.lang.String` | `REQUEST_TOKEN`
    `static java.lang.String` | `STR_CUSTOM_ANIM_IMAGE_FILE`
    `static java.lang.String` | `STR_CUSTOM_ANIM_VIDEO_FILE`
    `static java.lang.String` | `STR_CUSTOM_BRAND_LOGO_FILE`
    `static java.lang.String` | `STR_CUSTOM_BRAND_NAME_FILE`
    `static java.lang.String` | `STR_CUSTOM_BRAND_POWERED_BY_LOGO_FILE`
    `static java.lang.String` | `STR_CUSTOM_LOCALE_NAME_FILE`
    `static java.lang.String` | `STR_CUSTOM_WALLPAPER`
    `static java.lang.String` | `STR_ELO_PATH_FOR_CUSTOM_ANIMATION`
    `static java.lang.String` | `STR_SDCARD_ELO_DIR_PATH`
    `static java.lang.String` | `VERIFY_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Consts()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Consts` | `clone()`
    `android.content.Intent` | `getEloIntentWithFlag(android.content.Context context, java.lang.String token, java.lang.String action)`
    `org.json.JSONObject` | `getMigrate(android.content.Context context)`
    `static boolean` | `isDevice7Inch()`
    `static boolean` | `isDeviceM100()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELO_FOLDER

          public static final java.lang.String ELO_FOLDER

    - #### ELO_WIFI_CONFIG_FOLDER

          public static final java.lang.String ELO_WIFI_CONFIG_FOLDER

    - #### ELO_NETWORK_CONF_CSV_FILE

          public static final java.lang.String ELO_NETWORK_CONF_CSV_FILE

      See Also:
        Constant Field Values

    - #### OAUTH_PATH_TOKEN

          public static final java.lang.String OAUTH_PATH_TOKEN

      See Also:
        Constant Field Values

    - #### OAUTH_PATH_VERIFY

          public static final java.lang.String OAUTH_PATH_VERIFY

      See Also:
        Constant Field Values

    - #### VERIFY_TOKEN

          public static final java.lang.String VERIFY_TOKEN

      See Also:
        Constant Field Values

    - #### REQUEST_TOKEN

          public static final java.lang.String REQUEST_TOKEN

      See Also:
        Constant Field Values

    - #### STR_ELO_PATH_FOR_CUSTOM_ANIMATION

          public static final java.lang.String STR_ELO_PATH_FOR_CUSTOM_ANIMATION

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_ANIM_VIDEO_FILE

          public static final java.lang.String STR_CUSTOM_ANIM_VIDEO_FILE

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_ANIM_IMAGE_FILE

          public static final java.lang.String STR_CUSTOM_ANIM_IMAGE_FILE

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_BRAND_LOGO_FILE

          public static final java.lang.String STR_CUSTOM_BRAND_LOGO_FILE

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_BRAND_NAME_FILE

          public static final java.lang.String STR_CUSTOM_BRAND_NAME_FILE

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_LOCALE_NAME_FILE

          public static final java.lang.String STR_CUSTOM_LOCALE_NAME_FILE

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_BRAND_POWERED_BY_LOGO_FILE

          public static final java.lang.String STR_CUSTOM_BRAND_POWERED_BY_LOGO_FILE

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_WALLPAPER

          public static final java.lang.String STR_CUSTOM_WALLPAPER

      See Also:
        Constant Field Values

    - #### STR_SDCARD_ELO_DIR_PATH

          public static final java.lang.String STR_SDCARD_ELO_DIR_PATH

    - #### isFROM

          public static final java.lang.String isFROM

      See Also:
        Constant Field Values

    - #### GENERIC_ERROR

          public static final int GENERIC_ERROR

      General SDK error. Returns an exception message indicating the cause of the issue.
      See Also:
        Constant Field Values

    - #### ACTION_SET_EST_REQUEST

          public static final java.lang.String ACTION_SET_EST_REQUEST

  - ### Constructor Detail

    - #### Consts

          public Consts()

  - ### Method Detail

    - #### isDevice7Inch

          public static boolean isDevice7Inch()

    - #### isDeviceM100

          public static boolean isDeviceM100()

    - #### getMigrate

          public org.json.JSONObject getMigrate(android.content.Context context)

    - #### getEloIntentWithFlag

          public android.content.Intent getEloIntentWithFlag(android.content.Context context,
                                                             java.lang.String token,
                                                             java.lang.String action)

    - #### clone

          public Consts clone()

      Overrides:
        `clone` in class `java.lang.Object`